Bug 639098 - Review Request: rubygem-gtk2 - Ruby binding of GTK+-2.x
Review Request: rubygem-gtk2 - Ruby binding of GTK+-2.x
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Fojtik
Fedora Extras Quality Assurance
:
Depends On: 635302 637448 637904 637939 637985
Blocks: 639636
  Show dependency treegraph
 
Reported: 2010-09-30 16:11 EDT by Mamoru TASAKA
Modified: 2010-11-08 12:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-08 12:41:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mfojtik: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2010-09-30 16:11:23 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-gtk2/rubygem-gtk2.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-gtk2/rubygem-gtk2-0.90.2-3.fc.src.rpm
Description: 
Ruby/GTK2 is a Ruby binding of GTK+-2.0.x.

This packge depends on other 3 packages currently in review request
queue, so currently no scratch build on koji is available.
Mockbuild log for F-14 is available at:
http://mtasaka.fedorapeople.org/Review_request/rubygem-gtk2/MOCK-rubygem-gtk2.log
Comment 1 Mamoru TASAKA 2010-09-30 16:13:18 EDT
(In reply to comment #0)
> This packge depends on other 3 packages 

Actually on other 5 packages
Comment 2 Michal Fojtik 2010-10-13 10:45:36 EDT
Review:

First, %prep stage must contain %setup -q -c -T to create the directory where C libraries are compiled.

[OK]

Then at %build stage the Ruby Gem must be installed under the directory created at %prep stage to get C libraries compiled under there.

[OK]

When gem install is used to install Gem file, using -V option is recommend to check if CFLAGS is correctly honored.

[OK], -O2 used correctly.

Finally at %install stage the whole tree under the directory created at %prep stage should be copied (not moved) to under %{buildroot}%{gemdir}.

[OK]

Installed C codes (usually under %{geminstdir}/etc) may be removed even if gem contents %{gemname} reports that installed C codes should be found there.

[OK]

Packages that contain Ruby Gems must be called rubygem-%{gemname} where gemname is the name from the Gem's specification.

[OK]

The Source of the package must be the full URL to the released Gem archive; the version of the package must be the Gem's version

[OK]

The package must have a Requires and a BuildRequires on rubygems

[OK]

The package must provide rubygem(%{gemname}) where gemname is the name from the Gem's specification.

[OK]

For every dependency on a Gem named gemdep, the package must contain a Requires on rubygem(%{gemdep}) with the same version constraints as the Gem

[OK]

Mock build and specfile looks clean to me.

REVIEW+
Comment 3 Mamoru TASAKA 2010-10-24 15:06:50 EDT
http://mtasaka.fedorapeople.org/Review_request/rubygem-gtk2/rubygem-gtk2-0.90.4-2.fc.src.rpm
http://mtasaka.fedorapeople.org/Review_request/rubygem-gtk2/rubygem-gtk2.spec

* Sun Oct 24 2010 Mamoru Taska  <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.90.4-2
- 0.90.4

* Sun Oct 24 2010 Mamoru Taska  <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.90.3-2
- 0.90.3

(still blocked by bug 637939)
Comment 4 Mamoru TASAKA 2010-10-31 14:54:37 EDT
http://mtasaka.fedorapeople.org/Review_request/rubygem-gtk2/rubygem-gtk2.spec
http://mtasaka.fedorapeople.org/Review_request/rubygem-gtk2/rubygem-gtk2-0.90.5-2.fc.src.rpm

* Sun Oct 31 2010 Mamoru Taska  <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.90.5-2
- 0.90.5
- Move C extension so that "require %%gemname" works correctly
Comment 5 Mamoru TASAKA 2010-11-04 16:38:43 EDT
Now:

New Package SCM Request
=======================
Package Name:       rubygem-gtk2
Short Description:  Ruby binding of GTK+-2.x
Owners:             mtasaka
Branches:           f13 f14
Comment 6 Jason Tibbitts 2010-11-05 13:22:51 EDT
Git done (by process-git-requests).
Comment 7 Mamoru TASAKA 2010-11-08 12:41:34 EST
Closing.

Thank you for review and SCM procedure.

Note You need to log in before you can comment on or make changes to this bug.